例
ユーザーは、ドイツのヴィースバーデンにある中央駅からドイツのマインツにある中央駅まで最速のルートを探しています。なお、フランクフルト、ダルムシュタット、ハナウの中央駅とフランクフルトの空港を経由します。ユーザーは交通情報を必要としており、時間が最適化されたルートを探しています。
リクエスト
curl -H "Authorization: Bearer BEARER_TOKEN" "https://wps.hereapi.com/v8/findsequence2?start=WiesbadenCentralStation;50.0715,8.2434&destination1=FranfurtCentralStation;50.1073,8.6647&destination2=DarmstadtCentralStation;49.8728,8.6326&destination3=FrankfurtAirport;50.0505,8.5698&destination4=HanauCentralStation;50.1218,8.9298&end=MainzCentralStation;50.0021,8.259&improveFor=time&departure=2014-12-09T09:30:00%2b01:00&mode=fastest;car;traffic:enabled"レスポンス
{
"results": [
{
"waypoints": [
{
"id": "WiesbadenCentralStation",
"lat": 50.0715,
"lng": 8.2434,
"sequence": 0,
"estimatedArrival": null,
"estimatedDeparture": "2014-12-09T09:30:00+01:00",
"fulfilledConstraints": []
},
{
"id": "FrankfurtAirport",
"lat": 50.0505,
"lng": 8.5698,
"sequence": 1,
"estimatedArrival": "2014-12-09T09:48:14+01:00",
"estimatedDeparture": "2014-12-09T09:48:14+01:00",
"fulfilledConstraints": []
},
{
"id": "FranfurtCentralStation",
"lat": 50.1073,
"lng": 8.6647,
"sequence": 2,
"estimatedArrival": "2014-12-09T10:01:58+01:00",
"estimatedDeparture": "2014-12-09T10:01:58+01:00",
"fulfilledConstraints": []
},
{
"id": "HanauCentralStation",
"lat": 50.1218,
"lng": 8.9298,
"sequence": 3,
"estimatedArrival": "2014-12-09T10:26:46+01:00",
"estimatedDeparture": "2014-12-09T10:26:46+01:00",
"fulfilledConstraints": []
},
{
"id": "DarmstadtCentralStation",
"lat": 49.8728,
"lng": 8.6326,
"sequence": 4,
"estimatedArrival": "2014-12-09T10:59:54+01:00",
"estimatedDeparture": "2014-12-09T10:59:54+01:00",
"fulfilledConstraints": []
},
{
"id": "MainzCentralStation",
"lat": 50.0021,
"lng": 8.259,
"sequence": 5,
"estimatedArrival": "2014-12-09T11:29:11+01:00",
"estimatedDeparture": null,
"fulfilledConstraints": []
}
],
"distance": "164286",
"time": "7151",
"interconnections": [
{
"fromWaypoint": "WiesbadenCentralStation",
"toWaypoint": "FrankfurtAirport",
"distance": 26628,
"time": 1094,
"rest": 0,
"waiting": 0
},
{
"fromWaypoint": "FrankfurtAirport",
"toWaypoint": "FranfurtCentralStation",
"distance": 15082,
"time": 824,
"rest": 0,
"waiting": 0
},
{
"fromWaypoint": "FranfurtCentralStation",
"toWaypoint": "HanauCentralStation",
"distance": 34647,
"time": 1488,
"rest": 0,
"waiting": 0
},
{
"fromWaypoint": "HanauCentralStation",
"toWaypoint": "DarmstadtCentralStation",
"distance": 49219,
"time": 1988,
"rest": 0,
"waiting": 0
},
{
"fromWaypoint": "DarmstadtCentralStation",
"toWaypoint": "MainzCentralStation",
"distance": 38710,
"time": 1757,
"rest": 0,
"waiting": 0
}
],
"description": "Targeted best time; with , improvement for traffic",
"timeBreakdown": {
"driving": 7151,
"service": 0,
"rest": 0,
"waiting": 0,
"break": 0
}
}
],
"errors": [],
"processingTimeDesc": "123ms",
"responseCode": "200",
"warnings": null,
"requestId": "3fc6f092-668f-4052-8514-c4aee94b3a08"
}20 日前の更新